Bug 1426046 - tests/bugs/write-behind/1279730.t fails spuriously
Summary: tests/bugs/write-behind/1279730.t fails spuriously
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: write-behind
Version: rhgs-3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Csaba Henk
QA Contact: Rahul Hinduja
URL:
Whiteboard:
Depends On: 1337777
Blocks: 1337779 1337780 1337781
TreeView+ depends on / blocked
 
Reported: 2017-02-23 05:55 UTC by Csaba Henk
Modified: 2018-11-08 14:52 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1337777
Environment:
Last Closed: 2018-11-08 14:52:57 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Csaba Henk 2017-02-23 05:55:53 UTC
+++ This bug was initially created as a clone of Bug #1337777 +++

Description of problem:

14:35:56 [21:35:56] Running tests in file ./tests/bugs/write-behind/bug-1279730.t
14:36:00 No volumes present
14:36:01 read should've failed as previous write would've failed with EDQUOT, but its successfultar: Removing leading `/' from member names
14:36:03 ./tests/bugs/write-behind/bug-1279730.t .. 
14:36:03 1..15
14:36:03 ok 1, LINENUM:10
14:36:03 ok 2, LINENUM:11
14:36:03 ok 3, LINENUM:12
14:36:03 ok 4, LINENUM:14
14:36:03 ok 5, LINENUM:15
14:36:03 ok 6, LINENUM:16
14:36:03 ok 7, LINENUM:17
14:36:03 ok 8, LINENUM:18
14:36:03 ok 9, LINENUM:19
14:36:03 ok 10, LINENUM:21
14:36:03 ok 11, LINENUM:24
14:36:03 not ok 12 , LINENUM:26
14:36:03 FAILED COMMAND: ./tests/bugs/write-behind/bug-1279730 /mnt/glusterfs/0/file "gluster --mode=script --wignore volume quota patchy limit-usage / 1024"
14:36:03 ok 13, LINENUM:28
14:36:03 ok 14, LINENUM:30
14:36:03 ok 15, LINENUM:31
14:36:03 Failed 1/15 subtests 
14:36:03 
14:36:03 Test Summary Report
14:36:03 -------------------
14:36:03 ./tests/bugs/write-behind/bug-1279730.t (Wstat: 0 Tests: 15 Failed: 1)
14:36:03   Failed test:  12
14:36:03 Files=1, Tests=15,  7 wallclock secs ( 0.02 usr  0.00 sys +  1.18 cusr  0.39 csys =  1.59 CPU)
14:36:03 Result: FAIL
14:36:03 End of test ./tests/bugs/write-behind/bug-1279730.t

Version-Release number of selected component (if applicable):


How reproducible:
inconsistent, but surely there is some race causing this issue.

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

--- Additional comment from Vijay Bellur on 2016-05-20 01:05:52 EDT ---

REVIEW: http://review.gluster.org/14443 (tests/write-behind: move 1279730.t to BAD tests) posted (#1) for review on master by Raghavendra G (rgowdapp@redhat.com)

--- Additional comment from Vijay Bellur on 2016-05-30 05:12:22 EDT ---

COMMIT: http://review.gluster.org/14443 committed in master by Raghavendra G (rgowdapp@redhat.com) 
------
commit 4c798e87859d826bdf048d93a38830a74aa04752
Author: Raghavendra G <rgowdapp@redhat.com>
Date:   Fri May 20 10:29:05 2016 +0530

    tests/write-behind: move 1279730.t to BAD tests
    
    There is a race condition which is causing the test to fail. For lack
    of bandwidth I am moving this test to BAD, though clearly there is
    some issue with codebase.
    
    BUG: 1337777
    Change-Id: If4f3eff8a5985f37a4dee65d2df29fa7b6bda7ae
    Signed-off-by: Raghavendra G <rgowdapp@redhat.com>
    Reviewed-on: http://review.gluster.org/14443
    Smoke: Gluster Build System <jenkins@build.gluster.com>
    NetBSD-regression: NetBSD Build System <jenkins@build.gluster.org>
    CentOS-regression: Gluster Build System <jenkins@build.gluster.com>

Comment 6 Atin Mukherjee 2018-11-08 14:52:57 UTC
This is no longer seen in the latest branches. Closing it.


Note You need to log in before you can comment on or make changes to this bug.